#!/usr/bin/env bash

set -eu

PORT=${PORT:-3001}

cd "$(dirname "$0")/search-server"

docker build -t search-server .

cd ../../_gen/notes/

set -x

exec docker run -it --rm -p $PORT:80 -e PORT=80 -e DB_PATH=/db.sqlite3 -v `pwd`/db.sqlite3:/db.sqlite3:ro search-server
